Saves Gusto Payroll
curl --request POST \
--url https://sandbox.hurdlr.com/rest/v5/payroll/gustoPayroll \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: */*' \
--data '
{
"gustoPayroll": {
"employee_compensations": [
{
"payment_method": "<string>",
"fixed_compensations": [
{
"amount": "<string>",
"name": "<string>",
"job_uuid": "<string>"
}
],
"hourly_compensations": [
{
"compensation_multiplier": 123,
"job_uuid": "<string>",
"name": "<string>",
"amount": "<string>",
"hours": "<string>"
}
],
"paid_time_off": [
{
"name": "<string>",
"hours": "<string>",
"final_payout_unused_hours_input": "<string>"
}
],
"gross_pay": 123,
"net_pay": 123,
"benefits": [
{
"name": "<string>",
"employee_deduction": 123,
"company_contribution": 123,
"imputed": true
}
]
}
],
"payroll_uuid": "<string>",
"company_uuid": "<string>",
"version": "<string>",
"processed": true,
"processed_date": "2023-11-07T05:31:56Z",
"calculated_at": "2023-11-07T05:31:56Z",
"totals": {
"company_debit": "<string>",
"net_pay_debit": "<string>",
"tax_debit": "<string>",
"reimbursement_debit": "<string>",
"child_support_debit": "<string>",
"reimbursements": "<string>",
"netPay": "<string>",
"gross_pay": "<string>",
"employee_bonuses": "<string>",
"employee_commissions": "<string>",
"employee_cash_tips": "<string>",
"employee_paychecktips": "<string>",
"additional_earnings": "<string>",
"owners_draw": "<string>",
"check_amount": "<string>",
"employer_taxes": "<string>",
"employee_taxes": "<string>",
"benefits": "<string>",
"employee_benefits_deductions": "<string>",
"deferred_payroll_taxes": "<string>"
},
"pay_period": {
"start_date": "<string>",
"end_date": "<string>",
"pay_schedule_uuid": "<string>"
},
"payroll_deadline": "2023-11-07T05:31:56Z",
"check_date": "2023-11-07T05:31:56Z",
"date": "2023-11-07T05:31:56Z"
}
}
'import requests
url = "https://sandbox.hurdlr.com/rest/v5/payroll/gustoPayroll"
payload = { "gustoPayroll": {
"employee_compensations": [
{
"payment_method": "<string>",
"fixed_compensations": [
{
"amount": "<string>",
"name": "<string>",
"job_uuid": "<string>"
}
],
"hourly_compensations": [
{
"compensation_multiplier": 123,
"job_uuid": "<string>",
"name": "<string>",
"amount": "<string>",
"hours": "<string>"
}
],
"paid_time_off": [
{
"name": "<string>",
"hours": "<string>",
"final_payout_unused_hours_input": "<string>"
}
],
"gross_pay": 123,
"net_pay": 123,
"benefits": [
{
"name": "<string>",
"employee_deduction": 123,
"company_contribution": 123,
"imputed": True
}
]
}
],
"payroll_uuid": "<string>",
"company_uuid": "<string>",
"version": "<string>",
"processed": True,
"processed_date": "2023-11-07T05:31:56Z",
"calculated_at": "2023-11-07T05:31:56Z",
"totals": {
"company_debit": "<string>",
"net_pay_debit": "<string>",
"tax_debit": "<string>",
"reimbursement_debit": "<string>",
"child_support_debit": "<string>",
"reimbursements": "<string>",
"netPay": "<string>",
"gross_pay": "<string>",
"employee_bonuses": "<string>",
"employee_commissions": "<string>",
"employee_cash_tips": "<string>",
"employee_paychecktips": "<string>",
"additional_earnings": "<string>",
"owners_draw": "<string>",
"check_amount": "<string>",
"employer_taxes": "<string>",
"employee_taxes": "<string>",
"benefits": "<string>",
"employee_benefits_deductions": "<string>",
"deferred_payroll_taxes": "<string>"
},
"pay_period": {
"start_date": "<string>",
"end_date": "<string>",
"pay_schedule_uuid": "<string>"
},
"payroll_deadline": "2023-11-07T05:31:56Z",
"check_date": "2023-11-07T05:31:56Z",
"date": "2023-11-07T05:31:56Z"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "*/*"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': '*/*'},
body: JSON.stringify({
gustoPayroll: {
employee_compensations: [
{
payment_method: '<string>',
fixed_compensations: [{amount: '<string>', name: '<string>', job_uuid: '<string>'}],
hourly_compensations: [
{
compensation_multiplier: 123,
job_uuid: '<string>',
name: '<string>',
amount: '<string>',
hours: '<string>'
}
],
paid_time_off: [
{
name: '<string>',
hours: '<string>',
final_payout_unused_hours_input: '<string>'
}
],
gross_pay: 123,
net_pay: 123,
benefits: [
{
name: '<string>',
employee_deduction: 123,
company_contribution: 123,
imputed: true
}
]
}
],
payroll_uuid: '<string>',
company_uuid: '<string>',
version: '<string>',
processed: true,
processed_date: '2023-11-07T05:31:56Z',
calculated_at: '2023-11-07T05:31:56Z',
totals: {
company_debit: '<string>',
net_pay_debit: '<string>',
tax_debit: '<string>',
reimbursement_debit: '<string>',
child_support_debit: '<string>',
reimbursements: '<string>',
netPay: '<string>',
gross_pay: '<string>',
employee_bonuses: '<string>',
employee_commissions: '<string>',
employee_cash_tips: '<string>',
employee_paychecktips: '<string>',
additional_earnings: '<string>',
owners_draw: '<string>',
check_amount: '<string>',
employer_taxes: '<string>',
employee_taxes: '<string>',
benefits: '<string>',
employee_benefits_deductions: '<string>',
deferred_payroll_taxes: '<string>'
},
pay_period: {start_date: '<string>', end_date: '<string>', pay_schedule_uuid: '<string>'},
payroll_deadline: '2023-11-07T05:31:56Z',
check_date: '2023-11-07T05:31:56Z',
date: '2023-11-07T05:31:56Z'
}
})
};
fetch('https://sandbox.hurdlr.com/rest/v5/payroll/gustoPayroll', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"errors": {
"fieldErrors": {},
"globalErrors": [
{
"errorMessage": "<string>"
}
]
},
"id": "<string>",
"webhook": {
"userId": "<string>",
"accountantUserId": "<string>"
}
}Payroll
Saves Gusto Payroll
Save a Gusto Payroll, for Partners who prefer to push Gusto data directly into the Tight API instead of having the Tight API pull on their behalf.
POST
/
v5
/
payroll
/
gustoPayroll
Saves Gusto Payroll
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
*/*
Gusto Payroll data
Response
200 - application/json
Successful operation
Object containing details about result of the action performed
⌘I